<?xml version="1.0" encoding="UTF-8"?>
<system name="Tu-144D air system">


 <!-- 0: startup, 1: air conditioning -->
 <property>propulsion/air/panel/switch/APU_ASU[1]</property>
 <property>propulsion/air/panel/switch/APU_ASU[2]</property>
 <property>propulsion/air/panel/switch/engine[0]</property>
 <property>propulsion/air/panel/switch/engine[1]</property>
 <property>propulsion/air/panel/switch/engine[2]</property>
 <property>propulsion/air/panel/switch/engine[3]</property>


 <!-- TODO Air conditioning -->
 <property value="2">propulsion/air/as[1]/consumption-norm</property>
 <property value="2">propulsion/air/as[2]/consumption-norm</property>


 <channel name="Electric consumers" execrate="4">

  <pure_gain name="propulsion/air/elec/DC27-reserve-A">
   <input>systems/elec/DC27-reserve/U-V</input>
   <!-- 100 W -->
   <gain>0.137</gain>
  </pure_gain>

 </channel>


 <channel name="Sources" execrate="4">

  <switch name="propulsion/air/source/engine[0]/valve">
   <default value="propulsion/air/panel/switch/engine[0]"/>
   <test value="propulsion/air/source/engine[0]/valve">
    systems/elec/DC27-reserve/U-ok EQ 0
   </test>
  </switch>

  <switch name="propulsion/air/source/engine[1]/valve">
   <default value="propulsion/air/panel/switch/engine[1]"/>
   <test value="propulsion/air/source/engine[1]/valve">
    systems/elec/DC27-reserve/U-ok EQ 0
   </test>
  </switch>

  <switch name="propulsion/air/source/engine[2]/valve">
   <default value="propulsion/air/panel/switch/engine[2]"/>
   <test value="propulsion/air/source/engine[2]/valve">
    systems/elec/DC27-reserve/U-ok EQ 0
   </test>
  </switch>

  <switch name="propulsion/air/source/engine[3]/valve">
   <default value="propulsion/air/panel/switch/engine[3]"/>
   <test value="propulsion/air/source/engine[3]/valve">
    systems/elec/DC27-reserve/U-ok EQ 0
   </test>
  </switch>

  <switch name="propulsion/air/source/APU_ASU/capacity-norm">
   <default value="propulsion/air/source/APU_ASU/APU-capacity-norm"/>
   <test value="6.0">
    propulsion/air/source/APU_ASU/ASU-attached NE 0
   </test>
  </switch>
  <!-- -->
  <switch name="propulsion/air/source/APU_ASU/valve[1]">
   <default value="propulsion/air/panel/switch/APU_ASU[1]"/>
   <test value="propulsion/air/source/APU_ASU/valve[1]">
    systems/elec/DC27-reserve/U-ok EQ 0
   </test>
  </switch>
  <!-- -->
  <switch name="propulsion/air/source/APU_ASU/valve[2]">
   <default value="propulsion/air/panel/switch/APU_ASU[2]"/>
   <test value="propulsion/air/source/APU_ASU/valve[2]">
    systems/elec/DC27-reserve/U-ok EQ 0
   </test>
  </switch>

 </channel>


 <channel name="Air system [0]: startup and turbopump units" execrate="4">

  <fcs_function name="propulsion/air/as[0]/capacity-norm">
   <function>
    <sum>
     <product>
      <p>propulsion/air/source/engine[0]/capacity-norm</p>
      <not><p>propulsion/air/source/engine[0]/valve</p></not>
     </product>
     <product>
      <p>propulsion/air/source/engine[1]/capacity-norm</p>
      <not><p>propulsion/air/source/engine[1]/valve</p></not>
     </product>
     <product>
      <p>propulsion/air/source/engine[2]/capacity-norm</p>
      <not><p>propulsion/air/source/engine[2]/valve</p></not>
     </product>
     <product>
      <p>propulsion/air/source/engine[3]/capacity-norm</p>
      <not><p>propulsion/air/source/engine[3]/valve</p></not>
     </product>
     <product>
      <p>propulsion/air/source/APU_ASU/capacity-norm</p>
      <sum>
       <not><p>propulsion/air/source/APU_ASU/valve[1]</p></not>
       <not><p>propulsion/air/source/APU_ASU/valve[2]</p></not>
      </sum>
      <v>0.5</v>
     </product>
    </sum>
   </function>
  </fcs_function>

  <summer name="propulsion/air/as[0]/consumption-norm">
   <input>propulsion/engine[0]/starter</input>
   <input>propulsion/engine[1]/starter</input>
   <input>propulsion/engine[2]/starter</input>
   <input>propulsion/engine[3]/starter</input>
  </summer>

  <fcs_function name="propulsion/air/as[0]/power-norm">
   <output>propulsion/engine[0]/bleed/power-norm</output>
   <output>propulsion/engine[1]/bleed/power-norm</output>
   <output>propulsion/engine[2]/bleed/power-norm</output>
   <output>propulsion/engine[3]/bleed/power-norm</output>
   <function>
    <quotient>
     <p>propulsion/air/as[0]/capacity-norm</p>
     <max>
      <p>propulsion/air/as[0]/consumption-norm</p>
      <v>0.01</v>
     </max>
    </quotient>
   </function>
   <clipto><min>0.0</min><max>1.0</max></clipto>
  </fcs_function>

 </channel>


 <channel name="Air system [1]: air conditioning" execrate="4">

  <fcs_function name="propulsion/air/as[1]/capacity-norm">
   <function>
    <sum>
     <product>
      <p>propulsion/air/source/engine[0]/capacity-norm</p>
      <not><p>propulsion/air/source/engine[0]/valve</p></not>
     </product>
     <product>
      <p>propulsion/air/source/engine[1]/capacity-norm</p>
      <not><p>propulsion/air/source/engine[1]/valve</p></not>
     </product>
     <product>
      <p>propulsion/air/source/APU_ASU/capacity-norm</p>
      <p>propulsion/air/source/APU_ASU/valve[1]</p>
      <v>0.5</v>
     </product>
    </sum>
   </function>
  </fcs_function>

  <fcs_function name="propulsion/air/as[1]/power-norm">
   <function>
    <quotient>
     <p>propulsion/air/as[1]/capacity-norm</p>
     <max>
      <p>propulsion/air/as[1]/consumption-norm</p>
      <v>0.01</v>
     </max>
    </quotient>
   </function>
   <clipto><min>0.0</min><max>1.0</max></clipto>
  </fcs_function>

 </channel>


 <channel name="Air system [2]: air conditioning" execrate="4">

  <fcs_function name="propulsion/air/as[2]/capacity-norm">
   <function>
    <sum>
     <product>
      <p>propulsion/air/source/engine[2]/capacity-norm</p>
      <not><p>propulsion/air/source/engine[2]/valve</p></not>
     </product>
     <product>
      <p>propulsion/air/source/engine[3]/capacity-norm</p>
      <not><p>propulsion/air/source/engine[3]/valve</p></not>
     </product>
     <product>
      <p>propulsion/air/source/APU_ASU/capacity-norm</p>
      <p>propulsion/air/source/APU_ASU/valve[2]</p>
      <v>0.5</v>
     </product>
    </sum>
   </function>
  </fcs_function>

  <fcs_function name="propulsion/air/as[2]/power-norm">
   <function>
    <quotient>
     <p>propulsion/air/as[2]/capacity-norm</p>
     <max>
      <p>propulsion/air/as[2]/consumption-norm</p>
      <v>0.01</v>
     </max>
    </quotient>
   </function>
   <clipto><min>0.0</min><max>1.0</max></clipto>
  </fcs_function>

 </channel>


</system>
